#include <iostream>
#include <cmath>
using namespace std;

double p;
double q;
double r;
long int L;
long int D;
long int x;
long int n;

int main() {
    cin >> p;
    cin >> q;
    cin >> r;
    cin >> L;
    cin >> D;
    x=0;
    n=ceil(3/(1-1/p-1/q-1/r));
    if (n>D){
        n=D;
    }
    else{
        if (n<L){
        x=D-L+1;
        }
        else {
        x=D-n+1;
        }
    }
    cout << ceil(3/(1-1/p-1/q-1/r));
	return 0;
}